Subject: bug#36150: closed (Re: bug#46635: sed 4.8: test suite is failing in testsuite/inplace-selinux unit)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 13 Feb 2022 19:14:02 +0000

Your bug report

#36150: ERROR: testsuite/inplace-selinux.sh

which was filed against the sed package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36150: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36150
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46635: sed 4.8: test suite is failing in testsuite/inplace-selinux unit
From: Jim Meyering <[email-masked]>
To: Timothy Sample <[email-masked]>, [email-masked]
Cc: Tomasz Kłoczko <[email-masked]>, Assaf Gordon <[email-masked]>, [email-masked], [email-masked]
Date: Sun, 13 Feb 2022 11:13:37 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Feb 12, 2022 at 7:34 PM Timothy Sample <[email-masked]> wrote:
> > ERROR: testsuite/inplace-selinux
> > ================================
> >
> > inplace-selinux.sh: set-up failure: CONFIG_HEADER not defined
> > ERROR testsuite/inplace-selinux.sh (exit status: 99)
>
> This looks just like <https://bugs.gnu.org/36150>.  There’s a patch, but
> no word from maintainers yet.  If you’re still having trouble (I know
> it’s been awhile), you could give that patch a try.

Yikes. That patch was from May of 2020, and looks fine.
I've just pushed it. Sorry for the delay.

Subject: ERROR: testsuite/inplace-selinux.sh
From: Vineet Jain <[email-masked]>
To: [email-masked]
Date: Sun, 9 Jun 2019 15:37:31 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello

I was building sed from scratch. While running the tests I had this single
failure for testsuite/inplace-selinux.sh
It looks like following was the reason for error.
inplace-selinux.sh: set-up failure: CONFIG_HEADER not defined

Do let me know if you need any more information.

Regards
-- 
Vineet